package com.bjtdba.userCenter.dao;

import com.bjtdba.entity.userCenter.UserBill;
import com.bjtdba.userCenter.vo.InviteProfitVo;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.List;

@Repository
@Mapper
public interface UserBillDao {

    BigDecimal selectUserUnsettledInviteProfit(Integer uid,int[] statusList, int[] commissionType,String yesterdayDate);

    List<InviteProfitVo> selectUserUnsettledInviteProfitList(Integer uid, int[] statusList, int[] commissionType);

    List<InviteProfitVo> select();

    List<InviteProfitVo> getTest();

    List<UserBill> getUserBillList(UserBill userBill);

    Integer getUserBillCount(UserBill userBill);

    /**
     * 当前用户佣金
     * @param uid
     * @return
     */
    BigDecimal getUserCommission(Integer uid);
}
